<configuration>
    <!--appender name="FILE" class="ch.qos.logback.core.FileAppender">
        <file>${application.home}/logs/application.log</file>
        <encoder>
            <pattern>%coloredLevel %logger{128} %d{yyyy-MM-dd HH:mm:ss.SSSXXX, UTC} in %thread %message%n%xException{5}</pattern>
        </encoder>
    </appender-->
    <property name="log.txtfile" value="/opt/cap/fms-gps/logs/access_gps"/>


    <appender name="STDOUT" class="ch.qos.logback.core.ConsoleAppender">
        <encoder>
            <!--pattern>[%level] - [%d{yyyy-MM-dd HH:mm:ss.SSS, XXX}] - from [%logger] in %thread
                %n%message%n%xException%n</pattern-->
            <!--pattern>%coloredLevel %logger{15} - %message%n%xException{5}</pattern-->
            <!-- <pattern>%logger{128} %d{yyyy-MM-dd HH:mm:ss.SSSXXX, UTC} in %thread %message%n%xException{5}</pattern> -->
	    <pattern>[%d{yyyy-MM-dd HH:mm:ss.SSS}][%-5level][%logger{128}][%thread] %message%n%xException{5}</pattern>    
        </encoder>
    </appender>
    
    <appender name="TXT_FILE" class="ch.qos.logback.core.rolling.RollingFileAppender">
        <rollingPolicy class="ch.qos.logback.core.rolling.TimeBasedRollingPolicy">
		<FileNamePattern>${log.txtfile}_%d{yyyy-MM-dd}.log </FileNamePattern>
        </rollingPolicy>

        <encoder>
		<!--<pattern> %logger{128} %d{yyyy-MM-dd HH:mm:ss.SSSXXX, UTC} in %thread %message%n%xException{5}</pattern>-->
		<pattern>[%d{yyyy-MM-dd HH:mm:ss.SSS}][%-5level][%logger{128}][%thread] %message%n%xException{5}</pattern>
        </encoder>
    </appender>

    <!--logger name="play" level="DEBUG"/-->
    <logger name="play" level="INFO"/>
    <!--logger name="application" level="DEBUG"/-->
    <logger name="application" level="INFO"/>
    <logger name="models" level="INFO"/>
    <logger name="controllers" level="INFO"/>
    <logger name="actors" level="INFO"/>
    <logger name="utils" level="INFO"/>
    <logger name="test" level="INFO"/>
    <logger name="com.waylens.lib" level="INFO"/>

    <!-- Off these ones as they are annoying, and anyway we manage configuration ourself -->
    <logger name="com.avaje.ebean.config.PropertyMapLoader" level="OFF"/>
    <logger name="com.avaje.ebeaninternal.server.core.XmlConfigLoader" level="OFF"/>
    <logger name="com.avaje.ebeaninternal.server.lib.BackgroundThread" level="OFF"/>
    <logger name="com.gargoylesoftware.htmlunit.javascript" level="OFF"/>
    <logger name="com.mohiva.play.silhouette" level="DEBUG"/>
    <logger name="org.apache.hadoop.mapred" level="DEBUG"/>
    <!--logger name="io.netty" level="TRACE"/-->
    <!--logger name="org.asynchttpclient" level="TRACE"/-->
    <logger name="akka" level="INFO"/>
    <logger name="slick" level="INFO"/>
    <!--logger name="scala.concurrent" level="TRACE"/-->
    <!--logger name="com.ning" level="TRACE"/-->
    <!--logger name="play.api.mvc.Action" level="TRACE"/-->    
    <!--logger name="com.zaxxer.hikari" level="TRACE"/-->

    <root level="INFO">
        <appender-ref ref="TXT_FILE"/>
        <appender-ref ref="STDOUT"/>
    </root>

</configuration>
